<div class='wrap'>
   <div id='edit-shelf'>
      <!--    <div id="poststuff">
      <div id="post-body" class="metabox-holder columns-2">
         <div id="post-body-content"> -->
      <a href="admin.php?page=book_shelves" class="back-to-list-link">&larr;
         <?php _e('Back to shelves', 'shelf'); ?>
      </a>
      <form method="post" id="shelf-options-form" enctype="multipart/form-data" action="admin-ajax.php?page=book_shelves&action=save_settings&shelfId=<?php echo ($current_id); ?>">
         <h1><span id="edit-shelf-text"></span>
         </h1>
         <div>
            <div class="">
               <h2>Shelf Preview</h2>
               <p id="r3d-save" class="submit">
                  <span class="spinner"></span>
                  <input type="submit" name="btbsubmit" id="btbsubmit" class="alignright button save-button button-primary" value="Save settings">
               </p>
               <br class="clear" />

               <table class="form-table" id="shelf-settings">
                  <tbody>
                     <tr>
                        <td>
                           <p>
                              <a class="add-flipbook-button button-primary thickbox" href="#TB_inline?width=600&height=550&inlineId=add-flipbook-popup">Add Flipbooks</a> 
                           </p>
                        </td>
                     </tr>
                     <tr>
                        <div class="book-shelf">
                           <div class="book-shelf-covers ui-sortable">
                           </div>
                           <img src="" id="shelf-image">
                        </div>
                     </tr>
                     

                     <tr valign="top" class="field-row">
                        <th scope="row">Add Flipbook Category</th>
                        <td>
                           <select name="r3d_category" id="r3d_category">
                              <option value="">No category</option>
                              <?php
                              $tax_terms = get_terms('r3d_category', array('hide_empty' => false));
                              foreach($tax_terms as $term_single) {      
                                 $cat_name = $term_single->name;    
                                 $cat_id = $term_single->term_id;    
                                 // trace($term_single);    
                                 echo '<option value="' . $cat_id . '">' . $cat_name . '</option>';
                              } 
                              ?>
                           </select>
                           <p class="description">Show flipbooks from selected category</p>
                        </td>
                     </tr>

                     <tr>
                        <td>
                           <h2>Settings</h2>
                        </td>
                     </tr>

                  </tbody>
               </table>
               <!-- <div class="shelf-settings">
                     </div> -->
            </div>
         </div>
         <div id="add-flipbook-popup" style="display:none;">
            <h2>Select flipbooks</h2>
            <div class="book-shelf-popup">
               <table class='flipbooks-table wp-list-table widefat fixed striped pages'>
                  <thead>
                     <tr>
                        <th scope="col" id="cb" class="manage-column column-cb check-column" style="">
                           <label class="screen-reader-text" for="cb-select-all-1">Select All</label>
                           <input id="cb-select-all-1" type="checkbox">
                        </th>
                        <th scope="col" id="thumbnail" class="manage-column column-title sorted desc"><span></span></th>
                        <th scope="col" id="name" class="manage-column column-title sorted desc"><span>Name</span></th>
                        <!-- <th style="width:200px">Shortcode</th> -->
                        <th style="width:100px" scope="col" id="date" class="manage-column column-title sorted desc"><span>Date created</span></th>
                     </tr>
                  </thead>
                  <tbody id="flipbooks-table">
                     <?php

                     $real3dflipbooks_ids = get_option('real3dflipbooks_ids');
                     if (!$real3dflipbooks_ids) {
                        $real3dflipbooks_ids = array();
                     }
                     $books = array();

                     $all_cats = array();

                     foreach ($real3dflipbooks_ids as $id) {

                        $book = get_option('real3dflipbook_' . $id);
                        
                        $book['post_status'] = false;

                        if (isset($book['post_id'])) {
                           $book['post_status'] = get_post_status($book['post_id']);

                           // // get categories of flipbook post
                           $cats = wp_get_object_terms( $book['post_id'], 'r3d_category' );
                           $book['categories'] = $cats;
                           // trace($book);
                           // $all_cats = array_merge($all_cats, $cats);
                        }

                        if ($book && $book['post_status'] && isset($book['lightboxThumbnailUrl'])) {

                           if(!isset($book['date']))
                              $book['date'] = '';

                           echo '<tr><th scope="row" class="manage-column column-cb check-column"><input type="checkbox" class="row-checkbox" name="' . $book['id'] . '"></th><td><img id="img-' . $book['id'] . '" src="' . $book['lightboxThumbnailUrl'] . '"></td><td><strong><a href="#" class="edit" title="Edit" name="' . $book['id'] . '">' . $book['name'] . '</a></strong></td><td>' . $book['date'] . '</td> </tr>';
                        }

                        array_push($books, $book);
                     }

                     ?>
                  </tbody>
               </table>
               

               <div class="content">
                  <ul class="selectable">

                  <div class="bottom-toolbar">
                  <div class="">
                     <div class="">
                        <button type="button" class="book-shelf-button-select button button-primary button-large">Select</button>
                     </div>
                  </div>
               </div>
               </div>
               
            </div>
         </div>
         <p id="r3d-save" class="submit">
            <span class="spinner"></span>
            <input type="submit" name="btbsubmit" id="btbsubmit" class="alignright button save-button button-primary" value="Save settings">
         </p>
         <div id="r3d-save-holder" style="display: none;" ></div>
      </form>
   </div>
</div>
<?php
$shelves[$current_id]['PLUGIN_DIR_URL'] = $this->PLUGIN_DIR_URL;
$shelves[$current_id]['books'] = $books;
wp_enqueue_media();
add_thickbox();


wp_enqueue_script(
   'alpha-color-picker',
   plugins_url() . '/book-shelf/js/alpha-color-picker.js',
   array('jquery', 'wp-color-picker'),
   $this->PLUGIN_VERSION,
   true
);

wp_enqueue_style(
   'alpha-color-picker',
   plugins_url() . '/book-shelf/css/alpha-color-picker.css',
   array('wp-color-picker'),
   $this->PLUGIN_VERSION
);

wp_enqueue_script(
   "edit_shelf",
   plugins_url() . "/book-shelf/js/edit-shelf.js",
   array('alpha-color-picker', 'jquery-ui-sortable', 'jquery-ui-resizable', 'jquery-ui-selectable', 'wp-color-picker'),
   $this->PLUGIN_VERSION
);

wp_enqueue_style(
   'edit_shelf_css',
   plugins_url() . "/book-shelf/css/edit-shelf.css",
   array(),
   $this->PLUGIN_VERSION
);

wp_localize_script(
   'edit_shelf',
   'shelf',
   array(json_encode($shelves[$current_id]))
);
